﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;
using Infragistics.Controls.Menus;
using WpfApplication191.ViewModel;
using Infragistics.Windows.Controls;
using Infragistics.DragDrop; 

namespace WpfApplication191
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnsearch_Click(object sender, RoutedEventArgs e)
        {
            VM vm = layoutroot.Resources["vm"] as VM;

            if (tbsearch.Text == string.Empty)
            {
                tbresult.Text = "empty search criteria";

            }
            else
            {
                int i = vm.FindNodeIndex(tbsearch.Text);
                if (i == -1)
                {
                    tbresult.Text = "not found";
                }
                else 
                {
                    tbresult.Text = "found at index " + i.ToString();
                    XamDataTreeNode xdtn = MyTree.Nodes[i];
                    xdtn.IsSelected = true;
                    xdtn.IsExpanded = true;
                    MyTree.ScrollNodeIntoView(xdtn);
                    if (xdtn.HasChildren)
                    {
                        int lst = xdtn.Nodes.Count - 1;
                        MyTree.ScrollNodeIntoView(xdtn.Nodes[0]);
                    }
                   

                }
            }

        }
              

        private void MyTree_NodeDragDrop(object sender, TreeDropEventArgs e)
        {
            if (e.DragDropEventArgs.DropTarget is ListBox)
            {
                e.DragDropEventArgs.OperationType = OperationType.Move;

                ListBox lb = e.DragDropEventArgs.DropTarget as ListBox;
                XamDataTreeNode xdtn = e.DragDropEventArgs.Data as XamDataTreeNode;

                League l = xdtn.Data as League;
                VM vm = Application.Current.Resources["vm"] as VM;
                vm.Leagues.Remove(l);
                vm.ListboxLeagues.Add(l);                
            }            
        }      
    }
}
