﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using Infragistics.DragDrop;
using WpfApplication191.ViewModel;

namespace WpfApplication191
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            e.OperationType = OperationType.Move;            
            VM vm = Application.Current.Resources["vm"] as VM;
            League l = vm.ListboxLeagues.Where(t => t.LeagueName == (e.DragSource as TextBlock).Text).FirstOrDefault();
            vm.ListboxLeagues.Remove(l);
            vm.Leagues.Add(l);
        }    
    }
}
